Bug 226575 - Merge Review: xorg-x11-drv-aiptek
Merge Review: xorg-x11-drv-aiptek
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
Fedora Package Reviews List
Depends On:
  Show dependency treegraph
Reported: 2007-01-31 16:22 EST by Nobody's working on this, feel free to take it
Modified: 2013-04-02 00:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-10-06 00:39:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 16:22:04 EST
Fedora Merge Review: xorg-x11-drv-aiptek

Initial Owner: krh@redhat.com
Comment 1 Thorsten Leemhuis 2007-02-03 18:57:30 EST
* "%define cvsdate xxxxxxx" -> not used, please remove

* from %files: "%dir %{moduledir}" "%dir %{driverdir}" -> it's bad that all the
driver packages own those directory. Suggestion: let xorg-x11-server-Xorg own
them, as that package is required in any case

* why not include the ChangeLog as %doc?

* COPYING is there, thus: "If (and only if) the source package includes the text
of the license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc." BTW, it this "This is a
stub file. [...]" stuff again. That seems to be present in quite some packages
and it might be really nice to get that fixed upstream...

* "ExclusiveArch: %{ix86} x86_64 ia64 ppc alpha sparc sparc64" -- Why that? why
not simply "ExcludeArch: s390" -- that way it will work if x86_128 or another
new fancy arch shows up

* rpmlint:
rpmlint on ./xorg-x11-drv-aiptek-1.0.1-2.i386.rpm
W: xorg-x11-drv-aiptek invalid-license MIT/X11
-> "MIT"

rpmlint on ./xorg-x11-drv-aiptek-debuginfo-1.0.1-2.i386.rpm
W: xorg-x11-drv-aiptek-debuginfo invalid-license MIT/X11
-> see above

rpmlint on ./xorg-x11-drv-aiptek-1.0.1-2.src.rpm
W: xorg-x11-drv-aiptek invalid-license MIT/X11
-> see above

W: xorg-x11-drv-aiptek mixed-use-of-spaces-and-tabs (spaces: line 7, tab: line 3)
-> easily fixed


 * I dislike that "tarball" macro, as it should not change that often and it's
used only in two places. Is it really worth it?

 * The %description could be improved (it's identical to the summary, besides
the Xorg vs X.org), but well, probably not that important

* Besides that:
 package meets naming and packaging guidelines.
 build root is correct.
 license field matches the actual license.
 license is open source-compatible.
 source files match upstream:
  cbe73ae471a11101b348f37ef9c9f5e38abacade  xf86-input-aiptek-1.0.1.tar.bz2
 latest version is being packaged.
 final provides and requires are sane
 no shared libraries are present.
 package is not relocatable.
 no duplicates in %files.
 file permissions are appropriate.
 %clean is present.
 no scriptlets present.
 code, not content.
 documentation is small, so no -docs subpackage is necessary.
 %docs are not necessary for the proper functioning of the package.
 no headers.
 no pkgconfig files.
 no libtool .la droppings.
 not a GUI app.
 not a web app.
 no open bugs
Comment 3 Jason Tibbitts 2011-10-06 00:39:46 EDT
Package has been retired.

Note You need to log in before you can comment on or make changes to this bug.